Skip to main content
PUT
/
api2
/
v1
/
domains
/
{domainUid}
Edit domain
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/domains/{domainUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "<string>",
  "uid": "<string>",
  "name": "<string>",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

domainUid
string
required

UID of the domain

Body

application/json
name
string

Domain name, max 255 characters. Pass null on edit to leave name unchanged.

Maximum string length: 255

Response

successful operation

id
string

Internal numeric identifier, encoded as a string

uid
string

Unique identifier used in API paths

name
string
createdBy
object